This reference is for Processing 2.0+. If you have a previous version, use the reference included with your software. If you see any errors or have suggestions, please let us know. If you prefer a more technical reference, visit the Processing Javadoc.

Name | ### trim()
Examples |
    String s1 = "    Somerville MA ";
    println(s1);  // Prints "    Somerville MA "
    String s2 = trim(s1);
    println(s2);  // Prints "Somerville MA"

    String[] a1 = { " inconsistent ", " spacing" };  // Note spaces
    String[] a2 = trim(a1);
    println(a2);
    // Prints the following array contents to the console:
    // [0] "inconsistent"
    // [1] "spacing"
Description | Removes whitespace characters from the beginning and end of a String. In addition to standard whitespace characters such as space, carriage return, and tab, this function also removes the Unicode "nbsp" character.
Syntax |
    trim(str)
    trim(array)
Parameters |
str | String: any string
array | String[]: a String array
Returns | String or String[]
Related | split() join()

Updated on October 26, 2013 08:58:31pm PDT